--- sandbox/linux/BUILD.gn.orig	2024-12-22 12:24:29 UTC
+++ sandbox/linux/BUILD.gn
@@ -12,11 +12,11 @@ if (is_android) {
 }
 
 declare_args() {
-  compile_suid_client = is_linux || is_chromeos
+  compile_suid_client = (is_linux || is_chromeos) && !is_bsd
 
-  compile_credentials = is_linux || is_chromeos
+  compile_credentials = (is_linux || is_chromeos) && !is_bsd
 
-  compile_syscall_broker = is_linux || is_chromeos
+  compile_syscall_broker = (is_linux || is_chromeos) && !is_bsd
 
   # On Android, use plain GTest.
   use_base_test_suite = is_linux || is_chromeos
@@ -380,6 +380,17 @@ component("sandbox_services") {
       "services/libc_interceptor.h",
     ]
   }
+
+  if (is_bsd) {
+    sources -= [
+      "services/scoped_process.cc",
+      "services/scoped_process.h",
+      "services/syscall_wrappers.cc",
+      "services/syscall_wrappers.h",
+      "services/yama.cc",
+      "services/yama.h",
+     ]
+   }
 }
 
 source_set("sandbox_services_headers") {
